<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "accmast";
$formname = "Supplier Print";
$file = "supplier_print.php";
$mgrpcode = "009";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

$state = $_POST["state"];
$statecond = "";
if (!empty($state)) {
    $statecond = " AND `state` = '$state' ";
}

if (isset($_POST["view"])) {
    $name = $_POST['name'];
    $country = $_POST['country'];
    $city = $_POST['city'];
    $oms = $_POST['oms'];

    $namecond = "";
    $countrycond = "";
    $citycond = "";
    $omscond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($oms)) {
        $omscond = " AND `oms`='$oms' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` = '$city' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' $namecond $citycond $omscond $statecond $countrycond ") or die(mysqli_error($conn));

    include("includes/linkshead.php");
?>
    </head>

    <body>
        <div class="container">
            <?php include("includes/head_rep.php"); ?>
            <table class="table table-condensed table-bordered table-hover">
                <tr class="mySearchTr">
                    <th width='4%'>Sr. No.</th>
                    <th width='20%'>Name</th>
                    <th width='25%'>Address</th>
                    <th width='12%'>GST No.</th>
                    <th width='10%'>State</th>
                    <th width='10%'>City</th>
                    <th width='8%'>Email</th>
                    <th width='5%'>Pin</th>
                    <th width='8%'>Tel.</th>
                    <th width='8%'>Mobile</th>
                </tr>
                <?php
                $ctr = 1;
                while ($pmain = mysqli_fetch_array($getpmain)) {

                    echo "<tr class='bgwhite'>";
                    echo "<td>$ctr</td>";
                    echo "<td>$pmain[name]</td>";
                    echo "<td>$pmain[add1] $pmain[add2] $pmain[add3] </td>";
                    echo "<td>$pmain[gstno]</td>";
                    echo "<td>$pmain[state]</td>";
                    echo "<td>$pmain[city]</td>";
                    echo "<td>$pmain[email]</td>";
                    echo "<td>$pmain[pin]</td>";
                    echo "<td>$pmain[tel]</td>";
                    echo "<td>$pmain[mobile]</td>";
                    echo "</tr>";
                    $ctr++;
                }
                ?>
            </table>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>

    </html>
<?
}

if (isset($_POST["excel"])) {
    $name = $_POST["name"];
    $country = $_POST["country"];
    $city = $_POST["city"];

    $namecond = "";
    $countrycond = "";
    $citycond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` = '$city' ";
    }

    $getpmain = mysqli_query($conn, "SELECT *, CONCAT(add1,add2,add3) as addr FROM `$maindb` WHERE `grpcode`='$mgrpcode' $namecond $citycond $statecond $countrycond ") or die(mysqli_error($conn));

    $contents .= "Sr. No., Name, Address, State, City, Email, Pin, Tel,Gst No\n";

    $ctr = 0;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $ctr++;

        $add1 = str_replace(",", " ", "$pmain[add1]");
        $add2 = str_replace(",", " ", "$pmain[add2]");
        $add3 = str_replace(",", " ", "$pmain[add3]");


        $contents .= $ctr . ",";
        $contents .= $pmain["name"] . ",";
        $contents .= $add1 . $add2 . $add3 . ",";
        $contents .= $pmain["state"] . ",";
        $contents .= $pmain["city"] . ",";
        $contents .= $pmain["email"] . ",";
        $contents .= $pmain["pin"] . ",";
        $contents .= $pmain["tel"] . ",";
        $contents .= $pmain["gstno"] . "\n";
    }

    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>